Summary: A utility for converting FIG files (created by xfig) to other formats
Name: transfig
Version: 3.2.5d
%define subrel 1
Release: %mkrel 9
License: MIT
Group: 	 Graphics/Utilities
Source: http://www.xfig.org/software/xfig/%{version}/%{name}.%{version}.tar.gz
Patch1: transfig.3.2.5-lib64support.patch
Patch2: transfig.3.2.5-use-tempfile-for-bitmap-eps.patch
Patch3: transfig.3.2.5-fix-str-fmt.patch
Patch4: transfig_optopt.patch
Patch5: transfig-3.2.5d-libpng-1.5.patch
# Fix for MGA#22199 based on a Fedora patch - thanks.
Patch6: fig2dev-3.2.6a-CVE-2017-16899.patch
URL: http://www.xfig.org
BuildRequires: libxpm-devel
BuildRequires: png-devel
BuildRequires: imake
BuildRequires: tcsh

%description
The transfig utility creates a makefile which translates FIG (created by xfig)
or PIC figures into a specified LaTeX graphics language (for example,
PostScript(TM)). Transfig is used to create TeX documents which are portable
(i.e., they can be printed in a wide variety of environments).

%prep
%setup -q -n %{name}.%{version}
%patch1 -p1 -b .lib64support
%patch2 -p1 -b .tmpepsfile
%patch3 -p0 -b .str
%patch4 -p1 -b .opt
%patch5 -p1 -b .libpng
%patch6 -p1 -b .CVE_16899

%build
xmkmf
make Makefiles

%ifarch alpha
%make EXTRA_DEFINES="-Dcfree=free"
%else
%make CDEBUGFLAGS="%optflags" SHLIBGLOBALSFLAGS="%ldflags" EXTRA_LDOPTIONS="%ldflags"
%endif

%install
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install.man

%files
%doc CHANGES NOTES README
%{_bindir}/*
%{_mandir}/man?/*
%{_prefix}/lib/X11/xfig/bitmaps
%{_datadir}/fig2dev/*.ps


%changelog
* Sun Dec 17 2017 shlomif <shlomif> 3.2.5d-9.1.mga6
+ Revision: 1183107
- Fix MGA#22199

* Mon Feb 01 2016 umeabot <umeabot> 3.2.5d-9.mga6
+ Revision: 929848
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.2.5d-8.mga5
+ Revision: 750764
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 3.2.5d-7.mga5
+ Revision: 725259
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 3.2.5d-6.mga5
+ Revision: 689941
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.2.5d-5.mga4
+ Revision: 526466
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 fwang <fwang> 3.2.5d-4.mga4
+ Revision: 436958
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> 3.2.5d-3.mga3
+ Revision: 384733
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Sat Dec 08 2012 malo <malo> 3.2.5d-2.mga3
+ Revision: 328914
- update RPM group

* Thu Sep 15 2011 fwang <fwang> 3.2.5d-1.mga2
+ Revision: 144043
- build with latest libpng

* Sun Jan 09 2011 blino <blino> 3.2.5d-1.mga1
+ Revision: 3351
- imported package transfig


* Sat Jan 01 2011 Funda Wang <fwang@mandriva.org> 3.2.5d-1mdv2011.0
+ Revision: 626934
- new version 3.2.5d

* Fri Dec 31 2010 Funda Wang <fwang@mandriva.org> 3.2.5c-5mdv2011.0
+ Revision: 626810
- tighten BR

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.5c-3mdv2011.0
+ Revision: 608040
- rebuild

* Fri Mar 12 2010 Götz Waschk <waschk@mandriva.org> 3.2.5c-2mdv2010.1
+ Revision: 518367
- update build deps

* Wed Feb 03 2010 Lev Givon <lev@mandriva.org> 3.2.5c-1mdv2010.1
+ Revision: 500106
- Update to 3.2.5c.

* Mon Sep 28 2009 Olivier Blin <oblin@mandriva.com> 3.2.5a-2mdv2010.0
+ Revision: 450399
- fix mips build failure because of optopt mismatch
  (from Arnaud Patard)

* Fri Sep 04 2009 Lev Givon <lev@mandriva.org> 3.2.5a-1mdv2010.0
+ Revision: 431413
- Update to 3.2.5a.
- Update to 3.2.5a.

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.2.5-4mdv2010.0
+ Revision: 427431
- rebuild

* Sat Apr 11 2009 Funda Wang <fwang@mandriva.org> 3.2.5-3mdv2009.1
+ Revision: 366387
- fix str fmt

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 3.2.5-2mdv2009.0
+ Revision: 225870
- rebuild

* Wed Jan 30 2008 Lev Givon <lev@mandriva.org> 3.2.5-1mdv2008.1
+ Revision: 160291
- Update to 3.2.5 final.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Fri May 25 2007 Christiaan Welvaart <spturtle@mandriva.org> 3.2.5-0.5mdv2008.0
+ Revision: 31165
- when generating bitmaps, use a tempfile for the eps to work around a crash of gs on ppc


* Mon Feb 19 2007 Emmanuel Andry <eandry@mandriva.org> 3.2.5-0.4mdv2007.0
+ Revision: 122633
- buildrequires imake
- New alpha 7
- drop patches 3 and 4, applied upstream

  + Gwenole Beauchesne <gbeauchesne@mandriva.com>
    - Fix build with newer X.org configury
    - Bunzip2 patches
    - Import transfig

* Wed Oct 05 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.2.5-0.3mdk
- merge from old ppc64-branch:
  * fix fig2dev files location
  * rename text() to do_text() to fix build on dot syms platforms

* Sat Aug 20 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.2.5-0.2mdk
- gcc4 fixes

* Mon Mar 28 2005 Daouda LO <daouda@mandrakesoft.com> 3.2.5-0.1mdk
- release for xfig-3.2.5

* Thu Dec 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 3.2.4-4mdk
- add html docs
- add new files
- fix buildrequires

